package alx.p01_interakcja.konsola;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.Locale;
import java.util.Scanner;

public class Zakupy5 {

    // W tej wersji zamiast double używamy BigDecimal, aby w pełni precyzyjnie liczyć pieniądze

    public static void main(String[] args) {
        Locale.setDefault(Locale.US);
        // Locale.setDefault(new Locale("pl", "PL"));

        Scanner sc = new Scanner(System.in);
        System.out.printf("Co chcesz kupić? ");
        String towar = sc.nextLine();
        System.out.printf("Ile kosztuje jedna sztuka towaru %s? ", towar);
        BigDecimal cena = sc.nextBigDecimal();
        System.out.printf("Ile sztuk towaru %s chcesz kupić? ", towar);
        BigDecimal sztuk = sc.nextBigDecimal();

        // obliczenie z pełną precyzją - moze wyjść więcej liczb po przecinku
        // BigDecimal suma = cena.multiply(sztuk);

        // zaokrąglenie po wykonaniu mnożenia
        BigDecimal suma = cena.multiply(sztuk).setScale(2, RoundingMode.HALF_UP);
        System.out.printf("Za %d sztuk towaru %s zapłacisz %.2f zł\n", sztuk, towar, suma);
    }
}
